Bug 1437184 - python-aexpect: python3-aexpect is missing Python 3 version of executables
Summary: python-aexpect: python3-aexpect is missing Python 3 version of executables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-aexpect
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Merlin Mathesius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY3-EXECUTABLES
TreeView+ depends on / blocked
 
Reported: 2017-03-29 17:16 UTC by Iryna Shcherbina
Modified: 2018-07-01 01:07 UTC (History)
2 users (show)

Fixed In Version: python-aexpect-1.5.1-1.fc27 python-aexpect-1.5.1-1.fc28 python-aexpect-1.5.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-23 19:55:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-03-29 17:16:18 UTC
The Python 3 subpackage python3-aexpect is missing executables available in the Python 2 subpackage.

According to the Fedora Packaging guidelines for Python [0], if a Python package that supports Python 3 installs executables into /usr/bin,  then either both Python versions of the executables should be packaged, or only the Python 3 version, depending on the functionality they provide.
(Note the "should": having Python 2-only executables is permitted, but strongly discouraged.)

Is it intentional for this particular package?

In case it is not intentional, please provide a Python 3 version of executable, or you can just switch to Python 3 if the functionality is the same regardless of the Python version. The guide for porting Python-based RPMs is available here [1] and you may refer to it for more instructions.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 26 as well.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing the issue!

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks
[1] http://python-rpm-porting.readthedocs.io/

Comment 1 Merlin Mathesius 2017-03-31 19:00:33 UTC
Currently, only the Python 2 based /usr/bin/aexpect-helper executable works properly. The upstream maintainer for aexpect is aware of this and is looking into it. If a fix becomes available, I will update the spec file to include version-specific executables for both Python 2 and 3.

Comment 2 Jan Kurik 2017-08-15 08:25:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 3 Jan Beran 2018-01-19 11:59:23 UTC
The Python 3 issue, related to aexpect-helper executable, should be fixed in upstream now:

https://github.com/avocado-framework/aexpect/commit/5a3ec74c3fae6a2d989c9da63e0da9c71b845782

Comment 4 Fedora Update System 2018-06-14 20:36:45 UTC
python-aexpect-1.5.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9b8c3e4694

Comment 5 Fedora Update System 2018-06-14 20:38:55 UTC
python-aexpect-1.5.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3fb74647ba

Comment 6 Fedora Update System 2018-06-14 20:40:48 UTC
python-aexpect-1.5.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4afb2f4d96

Comment 7 Fedora Update System 2018-06-15 14:09:04 UTC
python-aexpect-1.5.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3fb74647ba

Comment 8 Fedora Update System 2018-06-15 15:07:27 UTC
python-aexpect-1.5.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4afb2f4d96

Comment 9 Fedora Update System 2018-06-15 16:34:57 UTC
python-aexpect-1.5.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9b8c3e4694

Comment 10 Fedora Update System 2018-06-23 19:55:59 UTC
python-aexpect-1.5.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-06-23 20:46:45 UTC
python-aexpect-1.5.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-07-01 01:07:35 UTC
python-aexpect-1.5.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.